Package org.eclipse.cdt.core.parser.util

# Interface IUnaryPredicate<T>

All Known Implementing Classes:
  `InstanceOfPredicate`

public interface IUnaryPredicate<T>
A generic unary predicate interface. Useful for operations that use unary predicates, like filtering an array.

Since:
  5.6

## Method Summary

Modifier and Type
Method
Description
`boolean`
`apply(T argument)`

## Method Details

### apply

boolean apply(T argument)